Connect with us

SDK

Google Play Services перестанут поддерживать Android 2 и 3

Следующие версии (10.2.0), которые выйдут «в начале 2017», уже будут работать только с API уровня 14, а это минимум Android 4.0 Ice Cream Sandwich.

Опубликовано

/

     
     

И еще одна новость от Google – текущие библиотеки Google Play Services (10.0.0) и Firebase (тоже 10.0.0) станут последними, кто поддерживает Android API level 9 (Android 2.3 Gingerbread).

Следующие версии (10.2.0), которые выйдут «в начале 2017», уже будут работать только с API уровня 14, а это минимум Android 4.0 Ice Cream Sandwich.

Как результат – поддержка Android 2.3 Gingerbread и Android 3.0/3.1/3.2 Honeycomb будет прекращена, все новые приложения не будут работать на старых устройствах (по умолчанию, хотя способы обхода этого остаются – можно будет создавать разные версии для разных уровней API).

По последним данным, Gingerbread (впервые выпущенный в декабре 2010) сейчас работает на 1.3% устройств, заходящих в Google Play, а Honeycomb  (февраль 2011) это вообще исчезающе малая величина – 0.1%.

Если вы нашли опечатку - выделите ее и нажмите Ctrl + Enter! Для связи с нами вы можете использовать info@apptractor.ru.
Advertisement

Популярное

Спасибо!

Теперь редакторы в курсе.